import { HcApi } from '../../request/index'

export default {
    async getUserInfo() {
        return HcApi({
            url: '/api/blade-user/info',
            method: 'get',
        })
    },
    //修改密码
    async updatePassword(form) {
        return HcApi({
            url: '/api/blade-user/update-password',
            method: 'post',
            params: form,
        })
    },
    //设置默认项目
    async setDefaultProject(form) {
        return HcApi({
            url: '/api/blade-business/defaultProject/save',
            method: 'post',
            data: form,
        })
    },
    //获取默认项目
    async getDefaultProject(form) {
        return HcApi({
            url: '/api/blade-business/defaultProject/queryUserDefault',
            method: 'get',
            params: form,
        })
    },
    //更新用户信息
    async updateUserInfo(form) {
        return HcApi({
            url: '/api/blade-user/update-info',
            method: 'post',
            data: form,
        })
    },
    //获取用户信息
    async queryCurrentUserData(form) {
        return HcApi({
            url: '/api/blade-business/userViewProjectContract/queryCurrentUserData',
            method: 'post',
            data: form,
        })
    },
}
